## ICalTimetype ICalTimetype |

## Functions

ICalTimetype * | i_cal_timetype_new ()
gint | i_cal_timetype_get_year ()
void | i_cal_timetype_set_year ()
gint | i_cal_timetype_get_month ()
void | i_cal_timetype_set_month ()
gint | i_cal_timetype_get_day ()
void | i_cal_timetype_set_day ()
gint | i_cal_timetype_get_hour ()
void | i_cal_timetype_set_hour ()
gint | i_cal_timetype_get_minute ()
void | i_cal_timetype_set_minute ()
gint | i_cal_timetype_get_second ()
void | i_cal_timetype_set_second ()
gint | i_cal_timetype_is_utc ()
gint | i_cal_timetype_is_date ()
void | i_cal_timetype_set_is_date ()
gint | i_cal_timetype_is_daylight ()
void | i_cal_timetype_set_is_daylight ()
const ICalTimezone * | i_cal_timetype_get_zone ()

## Types and Values

#define | I_CAL_TIMETYPE_TYPE
| ICalTimetype
struct | ICalTimetypeClass

## Description

## Functions

### i_cal_timetype_new ()

    ICalTimetype *
    i_cal_timetype_new (void);

Create a new ICalTimetype.

#### Returns

The newly created ICalTimetype. It is the epoch time (1970-01-01 00:00:00 UTC).

[transfer full]

Since: 1.0

### i_cal_timetype_get_year ()

    gint
    i_cal_timetype_get_year (ICalTimetype *timetype);

Get the year of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be queried. |

#### Returns

The year.

Since: 1.0

### i_cal_timetype_set_year ()

    void
    i_cal_timetype_set_year (ICalTimetype *timetype,
                             gint year);

Set the year of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be set. |
year | The year. |

Since: 1.0

### i_cal_timetype_get_month ()

    gint
    i_cal_timetype_get_month (ICalTimetype *timetype);

Get the month of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be queried. |

#### Returns

The month.

Since: 1.0

### i_cal_timetype_set_month ()

    void
    i_cal_timetype_set_month (ICalTimetype *timetype,
                              gint month);

Set the month of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be set. |
month | The month. |

Since: 1.0

### i_cal_timetype_get_day ()

    gint
    i_cal_timetype_get_day (ICalTimetype *timetype);

Get the day of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be queried. |

#### Returns

The day.

Since: 1.0

### i_cal_timetype_set_day ()

    void
    i_cal_timetype_set_day (ICalTimetype *timetype,
                            gint day);

Set the day of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be set. |
day | The day. |

Since: 1.0

### i_cal_timetype_get_hour ()

    gint
    i_cal_timetype_get_hour (ICalTimetype *timetype);

Get the hour of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be queried. |

#### Returns

The hour.

Since: 1.0

### i_cal_timetype_set_hour ()

    void
    i_cal_timetype_set_hour (ICalTimetype *timetype,
                             gint hour);

Set the hour of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be set. |
hour | The hour. |

Since: 1.0

### i_cal_timetype_get_minute ()

    gint
    i_cal_timetype_get_minute (ICalTimetype *timetype);

Get the minute of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be queried. |

#### Returns

The minute.

Since: 1.0

### i_cal_timetype_set_minute ()

    void
    i_cal_timetype_set_minute (ICalTimetype *timetype,
                               gint minute);

Set the minute of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be set. |
minute | The minute. |

Since: 1.0

### i_cal_timetype_get_second ()

    gint
    i_cal_timetype_get_second (ICalTimetype *timetype);

Get the second of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be queried. |

#### Returns

The second.

Since: 1.0

### i_cal_timetype_set_second ()

    void
    i_cal_timetype_set_second (ICalTimetype *timetype,
                               gint second);

Set the second of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be set. |
second | The second. |

Since: 1.0

### i_cal_timetype_is_utc ()

    gint
    i_cal_timetype_is_utc (ICalTimetype *timetype);

Get if the ICalTimetype is in UTC.

#### Parameters

timetype | The ICalTimetype to be queried. |

#### Returns

If the time is in UTC.

Since: 1.0

### i_cal_timetype_is_date ()

    gint
    i_cal_timetype_is_date (ICalTimetype *timetype);

Get the is_date of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be queried. |

#### Returns

The is_date.

Since: 1.0

### i_cal_timetype_set_is_date ()

    void
    i_cal_timetype_set_is_date (ICalTimetype *timetype,
                                gint is_date);

Set the is_date of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be set. |
is_date | The is_date. |

Since: 1.0

### i_cal_timetype_is_daylight ()

    gint
    i_cal_timetype_is_daylight (ICalTimetype *timetype);

Get the is_daylight of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be queried. |

#### Returns

The is_daylight.

Since: 1.0

### i_cal_timetype_set_is_daylight ()

    void
    i_cal_timetype_set_is_daylight (ICalTimetype *timetype,
                                    gint is_daylight);

Set the is_daylight of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be set. |
is_daylight | The is_daylight. |

Since: 1.0

### i_cal_timetype_get_zone ()

    const ICalTimezone *
    i_cal_timetype_get_zone (ICalTimetype *timetype);

Get the is_daylight of ICalTimetype.

#### Parameters

timetype | The ICalTimetype to be queried. |

#### Returns

The timezone.

Since: 1.0

## Types and Values

### I_CAL_TIMETYPE_TYPE

    #define             I_CAL_TIMETYPE_TYPE

### ICalTimetype

    typedef struct {
    } ICalTimetype;

This is the ICalTimetype instance.

### struct ICalTimetypeClass

    struct ICalTimetypeClass {
    };

This is the ICalTimetype class.